Create or update a registered DNA sequence
Create or update a registered DNA sequence.
Schema field links can be populated using entity registry IDs or API IDs. In the value field of the Field resource, the object {"entityRegistryId": ENTITY_REGISTRY_ID} may be provided instead of the API ID if desired (see example value).
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
entity_registry_id
Request
This endpoint expects an object.
name
Name of the DNA sequence.
registryId
schemaId
ID of the DNA sequence's schema.
annotations
Annotations to create on the DNA sequence.
bases
Base pairs for the DNA sequence.
isCircular
Whether the DNA sequence is circular or linear.
primers
archiveRecord
Currently, we only support setting a null value for archiveRecord, which unarchives the item
fields
Fields to set on the DNA sequence. Must correspond with the schema's field definitions. Every field should have its name as a key, mapping to an object with information about the value of the field.
aliases
Aliases to add to the DNA sequence
customFields
Custom fields to add to the DNA sequence. Every field should have its name as a key, mapping to an object with information about the value of the field.
folderId
ID of the folder containing the DNA sequence.
parts
translations
Translations to create on the DNA sequence. Translations are specified by either a combination of 'start' and 'end' fields, or a list of regions. Both cannot be provided.
Response
OK
aliases
annotations
apiURL
The canonical url of the DNA Sequence in the API.
archiveRecord
bases
createdAt
creator
customFields
dnaAlignmentIds
API IDs of Nucleotide Alignments involving the RNA sequence
entityRegistryId
fields
folderId
id
isCircular
length
modifiedAt
name
parts
primers
registrationOrigin
registryId
schema
transcriptions
translations
url
The path of the web URL, omitting the tenant domain
webURL
Errors
400
Bad Request Error